#include "testlib.h"
#include <iostream>

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    
    int t = 1e3, A = opt<int>(1);
    cout << t << '\n';
    for (int i = 0; i < t; i++) {
        int t1, t2, t3, t4, T;
        t1 = t2 = t3 = t4 = A - i;
        T = t1 + t2 + t3 + t4 - rnd.next(1, 5000);

        cout << t1 << ' ' << t2 << ' ' << t3 << ' ' << t4 << ' ' << T << '\n';
    }
}
